Subject: Re: [syzbot] UBSAN: shift-out-of-bounds in xfrm_set_default

From: syzbot <[email-masked]>
Date: Tue, 27 Jul 2021 16:28:06 -0700

Hello,

syzbot tried to test the proposed patch but the build/boot failed:

net/xfrm/xfrm_user.c:1977:2: error: expected ';' before 'net'

Tested on:

commit:         42d0b5f5 Add linux-next specific files for 20210727
git tree:       linux-next
dashboard link: https://syzkaller.appspot.com/bug?extid=9cd5837a045bbee5b810
compiler:       
patch:          https://syzkaller.appspot.com/x/patch.diff?x=147b8d0a300000